Bug 165354 - CAN-2005-2471 netpbm should use the -dSAFER option when calling Ghostscript
CAN-2005-2471 netpbm should use the -dSAFER option when calling Ghostscript
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netpbm (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
impact=low,public=20050724,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 10:22 EDT by Josh Bressers
Modified: 2013-07-02 19:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-743
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 09:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-08-08 10:22:41 EDT
pstopnm in netpbm does not properly use the "-dSAFER" option when calling
Ghostscript to convert convert a PostScript file into a (1) PBM, (2) PGM, or (3)
PNM file, which allows external user-complicit attackers to execute arbitrary
commands.

The Debian bug report has more information:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=319757
Comment 1 Josh Bressers 2005-08-08 10:24:33 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 2 Josh Bressers 2005-08-08 10:39:43 EDT
twaugh says we should probably use the -dPARANOIDSAFER to also protect against
unwanted reads.
Comment 3 Jindrich Novy 2005-08-10 09:18:15 EDT
Yes, this also affects RHEL2.1 and RHEL3.

I've done a patch that applies to netpbm-9.24 we have in 2.1 and 3.
Comment 5 Red Hat Bugzilla 2005-08-22 09:55:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-743.html

Note You need to log in before you can comment on or make changes to this bug.